(function ($) {
	"use strict";
	var G5_Main = window.G5_Main || {};
	window.G5_Main = G5_Main;
	
	var $window = $(window),
		$body = $('body'),
		isRTL = $body.hasClass('rtl'),
		deviceAgent = navigator.userAgent.toLowerCase(),
		isMobile = deviceAgent.match(/(iphone|ipod|android|iemobile)/),
		isMobileAlt = deviceAgent.match(/(iphone|ipod|ipad|android|iemobile)/),
		isAppleDevice = deviceAgent.match(/(iphone|ipod|ipad)/),
		isIEMobile = deviceAgent.match(/(iemobile)/),
		bodyHeight = 0;
	
	G5_Main.blog = {
		init: function () {
			this.processPostTabs();
			this.layouttall2();
			this.events();
			this.readingProcess();
		},
		processPostTabs: function () {
			$('.gsf-pretty-tabs').each(function () {
				if ($(this).closest('.gf-blog-wrap').prev('.gf-heading').length > 0) {
					var $this = $(this),
						heading = $this.closest('.gf-blog-wrap').prev('.gf-heading'),
						heading_width = heading.find('.gf-heading-content').outerWidth();
					$this.css('margin-left', (heading_width + 30));
					$this.gsfPrettyTabs();
				}
			});
		},
		readingProcess: function () {
			var reading_process = $('#gsf-reading-process'),
				post_content = $('.single-post .gf-single-wrap .post-single');
			if (reading_process.length > 0 && post_content.length > 0) {
				post_content.imagesLoaded(function () {
					var content_height = post_content.height(),
						window_height = $window.height();
					var percent = 0,
						content_offset = post_content.offset().top,
						window_offest = $window.scrollTop();
					
					if (window_offest > content_offset) {
						percent = 100 * (window_offest - content_offset) / (content_height - window_height);
					}
					if (percent > 100) {
						percent = 100;
					}
					reading_process.css('width', percent + '%');
					$window.scroll(function () {
						var percent = 0,
							content_offset = post_content.offset().top,
							window_offest = $window.scrollTop();
						
						if (window_offest > content_offset) {
							percent = 100 * (window_offest - content_offset) / (content_height - window_height);
						}
						if (percent > 100) {
							percent = 100;
						}
						reading_process.css('width', percent + '%');
					});
				});
			}
		},
		events: function () {
			var _that = this;
			$window.on('resize', function () {
				_that.layouttall2();
			});
		},
		layouttall2: function ($wrapper) {
			if (typeof $wrapper === 'undefined') {
				$wrapper = $body;
			}
			$('.layout-tall-2', $wrapper).each(function () {
				var $this = $(".layout-tall-2 article.post-tall-4");
				var $tall_4_height = $this.height();
				var $tall_4_height_content = $(".layout-tall-2 article.post-tall-4 .gf-post-content").outerHeight();
				var $list_3_wrap = $(".layout-tall-2 .list-3-wrap").outerHeight();
				var $position = 58 + $tall_4_height_content + 43;
				$('.list-3-wrap').css('top', $position);
				var $height_content = $list_3_wrap + 58 + $tall_4_height_content + 43;
				if ($height_content > $tall_4_height) {
					var $pd_bottom = $height_content - $tall_4_height;
					$this.css('padding-bottom', $pd_bottom);
				}
			});
		}
	};
	G5_Main.header = {
		init: function () {
			this.login_link_event();
		},
		login_link_event: function () {
			$('.gsf-login-link-sign-in, .gsf-login-link-sign-up').off('click').on('click', function (event) {
				event.preventDefault();
				var $this = $(this),
					action_name = 'gsf_user_login',
					ladda_button = null;
				if ($this.hasClass('gsf-login-link-sign-up')) {
					action_name = 'gsf_user_sign_up'
				}
				var popupWrapper = '#gsf-popup-login-wrapper';
				$body.addClass('overflow-hidden');
				$body.append('<div class="processing-title"><i class="fa fa-spinner fa-spin fa-fw"></i></div>');
				$.ajax({
					type: 'POST',
					data: 'action=' + action_name,
					url: g5plus_variable.ajax_url,
					success: function (html) {
						$('.processing-title').fadeOut(function () {
							$('.processing-title').remove();
							$body.removeClass('overflow-hidden');
						});
						if ($(popupWrapper).length) {
							$(popupWrapper).remove();
						}
						$body.append(html);
						
						$(popupWrapper).modal();
						
						$('#gsf-popup-login-form').submit(function (event) {
							ladda_button = null;
							var button = $(event.target).find('[type="submit"]');
							if (button.hasClass('ladda-button') && button.length > 0) {
								ladda_button = Ladda.create(button[0]);
								ladda_button.start();
							}
							var input_data = $('#gsf-popup-login-form').serialize();
							$body.addClass('overflow-hidden');
							$body.append('<div class="processing-title"><i class="fa fa-spinner fa-spin fa-fw"></i></div>');
							jQuery.ajax({
								type: 'POST',
								data: input_data,
								url: g5plus_variable.ajax_url,
								success: function (html) {
									$('.processing-title').fadeOut(function () {
										$('.processing-title').remove();
										$body.removeClass('overflow-hidden');
									});
									var response_data = jQuery.parseJSON(html);
									if (response_data.code < 0) {
										jQuery('.login-message', '#gsf-popup-login-form').html(response_data.message);
									}
									else {
										window.location.reload();
									}
									if (ladda_button !== null) {
										ladda_button.stop();
										ladda_button.remove();
									}
								},
								error: function (html) {
									$('.processing-title').fadeOut(function () {
										$('.processing-title').remove();
										$body.removeClass('overflow-hidden');
									});
									if (ladda_button !== null) {
										ladda_button.stop();
										ladda_button.remove();
									}
								}
							});
							event.preventDefault();
							return false;
						});
					},
					error: function (html) {
						$('.loading-wrapper').fadeOut(function () {
							$('.loading-wrapper').remove();
							$body.removeClass('overflow-hidden');
						});
					}
				});
			});
		}
	};
	G5_Main.footer = {
		init: function () {
			this.footer_widget_title();
		},
		footer_widget_title: function () {
			var widget_title = $('footer.main-footer-wrapper .widget-title span');
			for (var i = 0; i < widget_title.length; i++) {
				var split_title = widget_title[i].innerHTML.split(" ");
				split_title[0] = '<span class="accent-color">' + split_title[0] + '</span>';
				widget_title[i].innerHTML = split_title.join(" ");
			}
		}
	};
	G5_Main.typed = {
		init: function () {
			this.typed_text();
		},
		typed_text: function () {
			var $breaking = $('#breaking');
			
			if ($breaking.length > 0) {
				var breaking_strings = $('#breaking-strings').html().split("<br>");
				$breaking.typed({
					strings: breaking_strings,
					typeSpeed: 30,
					loop: true,
					backDelay: 500,
					cursorChar: '_',
					contentType: 'html'
				});
				$breaking.mouseover(function () {
					$breaking.data('typed').pauseTyping();
				});
				$breaking.mouseleave(function () {
					$breaking.data('typed').continueTyping();
				});
			}
		}
	};
	G5_Main.mailchimp_popup = {
		init: function () {
			if ($('body').data('popup-mailchimp-enable') === 'on') {
				setTimeout(this.showPopup, $('body').data('mailchimp-popup-timeout'));
			}

			$('.gsf-popup-mailchimp').off('click').on('click', function (event) {
				setTimeout(G5_Main.mailchimp_popup.showPopup, $('body').data('mailchimp-popup-timeout'));
				$.cookie('remember_show', 'true', {expires: 0});
			})
		},
		
		showPopup: function () {
			var action_name = 'gsf_mailchimp';
			var popupWrapper = '#gsf-popup-mailchimp-wrapper';
			$.ajax({
				type: 'POST',
				data: 'action=' + action_name,
				url: g5plus_variable.ajax_url,
				success: function (html) {
					if ($(popupWrapper).length) {
						$(popupWrapper).remove();
					}
					if ($.cookie('remember_show') == null) {
						$('body').append(html);
						$(popupWrapper).modal();
					}
					$(document).on('click', function (event) {
						if ($(event.target).closest('#gsf-popup-mailchimp-form').length == 0 && $("#gsf-popup-mailchimp-wrapper #remember-show").attr('checked') == 'checked') {
							$.cookie('remember_show', 'true', {expires: 7});
						}
					});
					$("#gsf-popup-mailchimp-wrapper button.close").on('click', function () {
						if ($("#gsf-popup-mailchimp-wrapper #remember-show").attr('checked') == 'checked') {
							$.cookie('remember_show', 'true', {expires: 7});
						}
					});
					$(document).on('keyup', function (event) {
						if (event.keyCode == 27) {
							if ($("#gsf-popup-mailchimp-wrapper #remember-show").attr('checked') == 'checked') {
								$.cookie('remember_show', 'true', {expires: 7});
							}
						}
					})
					
				},
				error: function (html) {
				}
			});
		}
	};
	$(document).ready(function () {
		G5_Main.blog.init();
		G5_Main.header.init();
		G5_Main.footer.init();
		G5_Main.typed.init();
		G5_Main.mailchimp_popup.init();
	});
})
(jQuery);
