<?php
/**
 * Class Defined Templates
 *
 * @package WordPress
 * @subpackage achilles
 * @since achilles 1.0
 */
// Do not allow directly accessing this file.
if (!defined('ABSPATH')) {
	exit('Direct script access denied.');
}
if (!class_exists('G5Plus_Inc_Templates')) {
	class G5Plus_Inc_Templates
	{
		
		private static $_instance;
		
		public static function getInstance()
		{
			if (self::$_instance == NULL) {
				self::$_instance = new self();
			}
			
			return self::$_instance;
		}
		
		/**
		 * Template Site Loading
		 */
		public function site_loading()
		{
			g5Theme()->helper()->getTemplate('site-loading');
		}
		
		/**
		 * Template Top Drawer
		 */
		public function top_drawer()
		{
			g5Theme()->helper()->getTemplate('top-drawer');
		}
		
		/**
		 * Template Header
		 */
		public function header()
		{
			g5Theme()->helper()->getTemplate('header');
		}
		
		/**
		 * Template Search Popup
		 */
		public function search_popup()
		{
			g5Theme()->helper()->getTemplate('popup/search');
		}
		
		/**
		 * Template Canvas Sidebar
		 */
		public function canvas_sidebar()
		{
			g5Theme()->helper()->getTemplate('canvas-sidebar');
		}
		
		/**
		 * Template Content Wrapper Start
		 */
		public function content_wrapper_start()
		{
			g5Theme()->helper()->getTemplate('global/wrapper-start');
		}
		
		/**
		 * Template Content Wrapper End
		 */
		public function content_wrapper_end()
		{
			g5Theme()->helper()->getTemplate('global/wrapper-end');
		}
		
		/**
		 * Template Back To Top
		 */
		public function back_to_top()
		{
			g5Theme()->helper()->getTemplate('back-to-top');
		}
		
		/**
		 * Template Page Title
		 */
		public function page_title()
		{
			g5Theme()->helper()->getTemplate('page-title');
		}
		
		/**
		 * Head Meta
		 */
		public function head_meta()
		{
			g5Theme()->helper()->getTemplate('head/head-meta');
		}
		
		/**
		 * Social Meta
		 */
		public function social_meta()
		{
			g5Theme()->helper()->getTemplate('head/social-meta');
		}
		
		/**
		 * Footer
		 */
		public function footer()
		{
			g5Theme()->helper()->getTemplate('footer');
		}
		
		/**
		 * Get Template Social Network
		 *
		 * @param array $social_networks
		 * @param string $layout - The layout of social network. Accepts 'classic', 'circle', 'square'
		 */
		public function social_networks($social_networks = array(), $layout = 'classic', $size = 'normal', $color = 'dark')
		{
			g5Theme()->helper()->getTemplate('social-networks', array('social_networks' => $social_networks, 'layout' => $layout, 'size' => $size, 'color' => $color));
		}
		
		public function zoom_image_thumbnail($args)
		{
			g5Theme()->helper()->getTemplate('loop/zoom-image', $args);
		}
		
		public function post_single_tag_share()
		{
			g5Theme()->helper()->getTemplate('single/post-tag-share');
		}
		
		public function post_single_navigation()
		{
			g5Theme()->helper()->getTemplate('single/post-navigation');
		}
		
		public function post_single_author_info()
		{
			g5Theme()->helper()->getTemplate('single/post-author-info');
		}
		
		public function post_single_related()
		{
			g5Theme()->helper()->getTemplate('single/post-related');
		}
		
		public function post_single_content_block()
		{
			g5Theme()->helper()->getTemplate('single/post-content-block');
		}
		
		public function post_single_comment()
		{
			g5Theme()->helper()->getTemplate('single/post-comment');
		}
		
		public function post_single_image()
		{
			g5Theme()->helper()->getTemplate('single/post-image');
		}
		
		public function mobile_navigation()
		{
			g5Theme()->helper()->getTemplate('header/mobile/navigation');
		}
		
		public function canvas_overlay()
		{
			g5Theme()->helper()->getTemplate('canvas-overlay');
		}
		
		public function userSocialNetworks($userId, $layout = '')
		{
			g5Theme()->helper()->getTemplate('user-social-networks', array('userId' => $userId, 'layout' => $layout));
		}
		
		public function post_single_reading_process()
		{
			g5Theme()->helper()->getTemplate('single/post-reading-process');
		}
		
		public function feature_post()
		{
			g5Theme()->helper()->getTemplate('feature-post');
		}
		
		public function main_content_top()
		{
			g5Theme()->helper()->getTemplate('single/layout-5/main-content-top');
		}
		
		public function primary_content_top()
		{
			g5Theme()->helper()->getTemplate('single/layout-9/primary-content-top');
		}
		
		public function post_view() {
			g5Theme()->helper()->getTemplate('loop/post-view');
		}
		
		public function post_like() {
			g5Theme()->helper()->getTemplate('loop/post-like');
		}
	}
}