<?php
/**
 * The template for displaying feature post
 */
$feature_post_position = g5Theme()->options()->get_feature_post_position();
$feature_post_layout = g5Theme()->options()->get_feature_post_layout();
$feature_post_columns_gutter = g5Theme()->options()->get_feature_post_columns_gutter();
$post_animation = g5Theme()->options()->get_post_animation();
$content_full_width = g5Theme()->options()->get_content_full_width();

$inner_attributes = array();
$inner_classes = array();

$wrapper_classes = array(
	'gf-feature',
	'clearfix',
	$feature_post_layout,
	"gf-gutter-{$feature_post_columns_gutter}",
	"gf-feature-{$feature_post_position}",

);

if (($feature_post_layout == 'feature-7') || ($feature_post_layout == 'feature-10')) {
	$inner_classes[] = 'owl-carousel owl-theme';
	$center = 'false';
	$nav = 'false';
	$dots = 'true';
	$items = 1;
	if ($feature_post_layout == 'feature-7') {
		$inner_classes[] = 'nav-center';
		$center = 'true';
		$nav = 'true';
		$dots = 'false';
		$items = 2;
	}
	$owl_responsive_attributes = array();
// Mobile <= 480px
	$owl_responsive_attributes[] = '"0" : {"items" : 1, "margin":0}';

// Extra small devices ( < 768px)
	$owl_responsive_attributes[] = '"481" : {"items" : 1, "margin":0}';

// Small devices Tablets ( < 992px)
	$owl_responsive_attributes[] = '"768" : {"items" : 1, "margin":0}';

// Medium devices ( < 1199px)
	$owl_responsive_attributes[] = '"992" : {"items" : ' . $items . ', "margin":0}';

// Medium devices ( > 1199px)
	$owl_responsive_attributes[] = '"1200" : {"items" : ' . $items . ', "margin":0}';
	
	$owl_attributes = array(
		'"autoHeight": true',
		'"center":' . $center,
		'"items":' . $items,
		'"nav":' . $nav,
		'"dots":' . $dots,
		'"loop": true',
		'"responsive": {' . implode(', ', $owl_responsive_attributes) . '}'
	);
	
	$inner_attributes[] = "data-owl-options='{" . implode(', ', $owl_attributes) . "}'";
}
$inner_class = implode(' ', array_filter($inner_classes));

?>
<div class="<?php echo implode(' ', $wrapper_classes); ?>">
	<?php if (($content_full_width !== 'on') && (($feature_post_layout == 'feature-10')||($feature_post_layout == 'feature-9'))): ?>
	<div class="container clearfix">
		<?php endif; ?>
		<?php if (($feature_post_layout == 'feature-7') || ($feature_post_layout == 'feature-10')): ?>
		<div class="<?php echo esc_attr($inner_class); ?>" <?php echo implode(' ', $inner_attributes); ?>>
			<?php endif; ?>
			<?php g5Theme()->helper()->getTemplate('feature/' . $feature_post_layout . ''); ?>
			<?php if (($feature_post_layout == 'feature-7') || ($feature_post_layout == 'feature-10')): ?>
		</div>
	<?php endif; ?>
		<?php if (($content_full_width !== 'on') && (($feature_post_layout == 'feature-10')||($feature_post_layout == 'feature-9'))): ?>
	</div>
<?php endif; ?>
</div>