<?php
// get sources
$query_args = array(
	'posts_per_page'      => 6,
	'no_found_rows'       => true,
	'post_status'         => 'publish',
	'ignore_sticky_posts' => true,
	'post_type'           => 'post',
	'orderby'             => 'post_date',
	'order'               => 'DESC',
	'tax_query'           => array(
		array(
			'taxonomy' => 'post_format',
			'field'    => 'slug',
			'terms'    => array('post-format-link', 'post-format-quote', 'post-format-audio'),
			'operator' => 'NOT IN'
		),
	)
);
$current_cat = get_category( get_query_var( 'cat' ) );
if (is_category()) {
	$query_args['category__in'] = array($current_cat->term_id);
}


$r = new WP_Query($query_args);
$count = $r->post_count;

$index = 0;
$content = '';
$image_size_1 = 'tall-12';
$post_class_1 = 'clearfix post-default post-tall-11';
$post_inner_class = 'gf-post-inner clearfix';

$image_size_2 = 'large-image-7';
$post_class_2 = 'clearfix post-default post-large-image-5';

$image_size_3 = 'medium-image-2';
$post_class_3 = 'clearfix post-default post-medium-image-5';

$placeholder_enable = true;

$page_title_enable = g5Theme()->options()->get_page_title_enable();
$page_title = g5Theme()->helper()->get_page_title();

?>
<div class="row">
	<?php if ($page_title_enable !== 'on'): ?>
		<div class="gf-cate-title col-xs-12">
			<h1><?php echo esc_html($page_title); ?></h1>
		</div>
	<?php endif;
	if ($r->have_posts()): ?>
	<?php while ($r->have_posts()) : $r->the_post();
	$index++;
	if ($index == 1): ?>
		<div class="col-lg-8 col-md-12 col-sm-12 col-xs-12">
			<?php g5Theme()->helper()->getTemplate("loop/layout/tall-11", array('image_size' => $image_size_1, 'post_class' => $post_class_1, 'post_inner_class' => $post_inner_class, 'placeholder_enable' => $placeholder_enable)); ?>
		</div>
	<?php endif;
	if (($index > 1) && ($index <= 3)): ?>
	<div class="col-lg-4 col-md-6 col-sm-6 col-xs-12">
		<?php g5Theme()->helper()->getTemplate("loop/layout/large-image-5", array('image_size' => $image_size_2, 'post_class' => $post_class_2, 'post_inner_class' => $post_inner_class, 'placeholder_enable' => $placeholder_enable)); ?>
	</div>
	<?php if (($index == 3) || ($count <= $index)): ?>
</div>
<?php endif; ?>
<?php endif;
if ($index > 3): ?>
	<?php if ($index == 4): ?>
		<div class="row">
	<?php endif; ?>
	<div class="col-lg-4 col-md-6 col-sm-6 col-xs-12">
		<?php g5Theme()->helper()->getTemplate("loop/layout/medium-image-5", array('image_size' => $image_size_3, 'post_class' => $post_class_3, 'post_inner_class' => $post_inner_class, 'placeholder_enable' => $placeholder_enable)); ?>
	</div>
	<?php if (($index == 6) || ($count <= $index)): ?>
		</div>
	<?php endif; ?>
<?php endif;
endwhile;
endif; ?>

