<?php
// get sources
$query_args = array(
	'posts_per_page'      => 5,
	'no_found_rows'       => true,
	'post_status'         => 'publish',
	'ignore_sticky_posts' => true,
	'post_type'           => 'post',
	'orderby'             => 'post_date',
	'order'               => 'DESC',
	'tax_query'           => array(
		array(
			'taxonomy' => 'post_format',
			'field'    => 'slug',
			'terms'    => array('post-format-link', 'post-format-quote', 'post-format-audio'),
			'operator' => 'NOT IN'
		),
	)
);
$current_cat = get_category( get_query_var( 'cat' ) );
if (is_category()) {
	$query_args['category__in'] = array($current_cat->term_id);
}


$r = new WP_Query($query_args);
$count = $r->post_count;

$index = 0;
$content = '';
$image_size_1 = 'tall-15';
$post_class_1 = 'clearfix post-default post-tall-12';
$post_inner_class_1 = 'gf-post-inner clearfix';

$image_size_2 = 'tall-16';
$post_class_2 = 'clearfix post-default post-tall-13';
$post_inner_class_2 = 'gf-post-inner clearfix';

$image_size_3 = 'tall-17';
$post_class_3 = 'clearfix post-default post-tall-13';
$post_inner_class_3 = 'gf-post-inner clearfix';
$placeholder_enable = true;

$page_title_enable = g5Theme()->options()->get_page_title_enable();
$page_title = g5Theme()->helper()->get_page_title();

?>
<div class="row">
	<?php if ($page_title_enable !== 'on'): ?>
		<div class="gf-cate-title text-center col-xs-12">
			<h1><?php echo esc_html($page_title); ?></h1>
		</div>
	<?php endif;
	if ($r->have_posts()): ?>
	<?php while ($r->have_posts()) :
	$r->the_post();
	$index++;
	if ($index == 1):?>
		<div class="col-md-4 col-sm-12 col-xs-12">
			<?php g5Theme()->helper()->getTemplate("loop/layout/tall-12", array('image_size' => $image_size_1, 'post_class' => $post_class_1, 'post_inner_class' => $post_inner_class_1, 'placeholder_enable' => $placeholder_enable)); ?>
		</div>
	<?php endif;
	if ($index == 2): ?>
		<div class="col-md-4 col-sm-6 col-xs-12">
		<?php g5Theme()->helper()->getTemplate("loop/layout/tall-13", array('image_size' => $image_size_2, 'post_class' => $post_class_2, 'post_inner_class' => $post_class_2, 'placeholder_enable' => $placeholder_enable)); ?>
		<?php if ($count <= $index): ?>
			</div>
		<?php endif;
	endif;
	if ($index == 3): ?>
	<?php g5Theme()->helper()->getTemplate("loop/layout/tall-13", array('image_size' => $image_size_3, 'post_class' => $post_class_3, 'post_inner_class' => $post_class_3, 'placeholder_enable' => $placeholder_enable)); ?>
</div>
<?php endif;
if ($index == 4): ?>
	<div class="col-md-4 col-sm-6 col-xs-12">
	<?php g5Theme()->helper()->getTemplate("loop/layout/tall-13", array('image_size' => $image_size_3, 'post_class' => $post_class_3, 'post_inner_class' => $post_class_3, 'placeholder_enable' => $placeholder_enable)); ?>
	<?php if ($count <= $index): ?>
		</div>
	<?php endif;
endif;
if ($index == 5): ?>
	<?php g5Theme()->helper()->getTemplate("loop/layout/tall-13", array('image_size' => $image_size_2, 'post_class' => $post_class_2, 'post_inner_class' => $post_class_2, 'placeholder_enable' => $placeholder_enable)); ?>
	</div>
<?php endif;
endwhile;
endif; ?>
</div>
