<?php
/**
 * The template for displaying canvas-sidebar
 *
 * @package WordPress
 * @subpackage achilles
 * @since achilles 1.0
 * @var $canvas_position
 * @var $customize_location
 */


if (!isset($canvas_position)) {
	$canvas_position = 'left';
}
add_action('wp_footer', array(g5Theme()->templates(), 'canvas_sidebar'), 10);

$canvas_sidebar_title = g5Theme()->options()->getOptions("header_customize_{$customize_location}_canvas_sidebar_title");
$canvas_sidebar_title_color = g5Theme()->options()->getOptions("header_customize_{$customize_location}_canvas_sidebar_title_color");
$canvas_sidebar_title_bg_color = g5Theme()->options()->getOptions("header_customize_{$customize_location}_canvas_sidebar_title_bg_color");
?>
<div data-off-canvas="true" data-off-canvas-target="#canvas-sidebar-wrapper" data-off-canvas-location=".header-customize-<?php echo esc_attr($customize_location); ?>"
	 data-off-canvas-position="<?php echo esc_attr($canvas_position); ?>" class="gf-toggle-icon <?php echo esc_attr($canvas_sidebar_title_color);?> <?php echo esc_attr($canvas_sidebar_title_bg_color);?>"><span></span>
	<?php if ($canvas_sidebar_title): ?>
		<h5><?php echo esc_html($canvas_sidebar_title); ?></h5>
	<?php endif; ?>
</div>
