<?php
/**
 * The template for displaying cat-badge.php
 * @var $hasImage
 * @var $highlight
 */
global $cat_badge;
$cat = g5Theme()->blog()->get_primary_cat();
if (is_object($cat) === false) return;
$cat_badge = true;
$cat_classes = array(
	'term-badge'
);
if ($highlight === true) {
	$highlight_color = g5Theme()->termMeta()->get_cat_highlight_color($cat->term_id);
	if ($highlight_color !== '') {
		$cat_classes[] = "term-{$cat->term_id}";
		$custom_css = <<<CSS
		.term-badge.term-{$cat->term_id} {
			background-color: {$highlight_color};
		}
CSS;
		g5Theme()->custom_css()->addCss($custom_css,"term-badge-{$cat->term_id}");
	}
	$cat_classes[] = 'term-badge-highlight';
}
$cat_class = implode(' ', array_filter($cat_classes));
?>
<a class="<?php echo esc_attr($cat_class)?>" href="<?php echo esc_url(get_category_link($cat)) ?>" title="<?php echo esc_attr($cat->name) ?>"><?php echo esc_html($cat->name) ?></a>
