<?php
/**
 * The template for displaying content-medium-image-12
 *
 * @package WordPress
 * @subpackage achilles
 * @since achilles 1.0
 * @var $image_size
 * @var $post_class
 * @var $post_inner_class
 * @var $placeholder_enable
 */
$excerpt = get_the_excerpt();
$excerpt = g5Theme()->helper()->truncateText($excerpt,200);
?>

<article <?php post_class($post_class) ?>>
	<div class="<?php echo esc_attr($post_inner_class); ?>">
		<?php g5Theme()->blog()->render_post_thumbnail_markup(array(
			'image_size' => $image_size,
			'placeholder_enable' => $placeholder_enable,
			'mode' => 'full'
		)); ?>
		<div class="gf-post-content">
			<?php g5Theme()->helper()->getTemplate('loop/post-meta-cate') ?>
			<?php g5Theme()->helper()->getTemplate('loop/post-title') ?>
			<?php g5Theme()->helper()->getTemplate('loop/post-meta-date-author') ?>
			<div class="gf-post-excerpt">
				<?php echo esc_html($excerpt); ?>
			</div>
			<?php g5Theme()->helper()->getTemplate('loop/post-meta-tag') ?>
		</div>
	</div>
</article>
