<?php
/**
 * The template for displaying content-medium-image-2
 *
 * @package WordPress
 * @subpackage achilles
 * @since achilles 1.0
 * @var $image_size
 * @var $post_class
 * @var $post_inner_class
 * @var $placeholder_enable
 */
$excerpt = get_the_excerpt();
$excerpt = g5Theme()->helper()->truncateText($excerpt,180);
?>
<article <?php post_class($post_class) ?>>
	<div class="<?php echo esc_attr($post_inner_class); ?>">
		<?php g5Theme()->blog()->render_post_thumbnail_markup(array(
			'image_size' => $image_size,
			'placeholder_enable' => $placeholder_enable,
			'mode' => 'full'
		)); ?>
		<div class="gf-post-content">
			<div class="gf-author-avatar">
				<?php
				$author_bio_avatar_size = apply_filters( 'g5plus_author_bio_avatar_size', 50 );
				echo get_avatar( get_the_author_meta( 'user_email' ), $author_bio_avatar_size );
				?>
			</div>
			<?php g5Theme()->helper()->getTemplate('loop/post-meta-date-author') ?>
			<?php g5Theme()->helper()->getTemplate('loop/post-title') ?>
			<div class="gf-post-excerpt">
				<?php echo esc_html($excerpt); ?>
			</div>
		</div>
	</div>
</article>
