<?php
/**
 * The template for displaying content-tall-4
 *
 * @package WordPress
 * @subpackage achilles
 * @since achilles 1.0
 * @var $image_size
 * @var $post_class
 * @var $post_inner_class
 * @var $placeholder_enable
 */
if ($post_index < 10) {
	$post_index = '0' . $post_index;
}
?>
<article <?php post_class($post_class) ?>>
	<div class="<?php echo esc_attr($post_inner_class); ?>">
		<?php g5Theme()->blog()->render_post_thumbnail_markup(array(
			'image_size'         => $image_size,
			'placeholder_enable' => $placeholder_enable,
			'mode'               => 'full'
		)); ?>
		<div class="gf-post-content">
			<span class="gf-post-index"><?php echo esc_attr($post_index); ?></span>
			<div class="gf-post-content-inner">
				<?php g5Theme()->helper()->getTemplate('loop/post-title') ?>
				<?php g5Theme()->helper()->getTemplate('loop/post-meta-date') ?>
			</div>
		</div>
	</div>
</article>
