<?php
/**
 * The template for displaying post-image.php
 * @var $post_id
 * @var $image_id
 * @var $image_size
 * @var $gallery_id
 * @var $display_permalink
 * @var $is_single
 * @var $image_mode
 * @var $disable_lazy
 */
$image_sizes =  g5Theme()->blog()->get_image_sizes();
$image_size_full = $image_size;
if ($is_single) {
	$image_size_full = 'full';
}

$image_attributes = array();
if($disable_lazy == '1') {
    $lazy_load_images = '';
} else {
    $lazy_load_images = g5Theme()->options()->get_lazy_load_images();
}
?>
<div class="entry-thumbnail">
	<?php
	/**
	 * @hooked - zoom_image_thumbnail - 10
	 **/
	do_action('g5plus_before_post_image',array(
		'post_id' => $post_id,
		'image_id' => $image_id,
		'image_size' => $image_size,
		'gallery_id' => $gallery_id
	))
	?>
	<?php if (array_key_exists($image_size_full,$image_sizes)) {
		$sizes = preg_split('/x/', $image_sizes[$image_size_full]);
		$image =  g5Theme()->image_resize()->resize(array(
			'image_id' => $image_id,
			'width' => $sizes[0],
			'height' => $sizes[1]
		));
		if ($sizes[1] === '0') {
			$image_mode = 'image';
		}
	} else {
		$imageArr = wp_get_attachment_image_src($image_id,$image_size_full);
		$image = array(
			'url' => isset($imageArr[0]) ? $imageArr[0] : '',
			'width' => isset($imageArr[1]) ? $imageArr[1] : '',
			'height' => isset($imageArr[2]) ? $imageArr[2] : '',
		);
	} ?>

	<?php if ($image_mode === 'background'): ?>
		<?php
		$image_classes = array(
			'entry-thumbnail-overlay',
			"thumbnail-size-{$image_size}",
			'placeholder-image'
		);
		if (isset($image['url']) && ($image['url'] !== '')) {
			if ($lazy_load_images === 'on') {
				$image_attributes[] = 'data-original="'. esc_url($image['url']) .'"';
				$image_classes[] = 'gf-lazy';
			} else {
				$image_attributes[] = 'style="background-image: url('. esc_url($image['url']) .');"';
			}
		}
		$image_class = implode(' ', array_filter($image_classes));
		?>
		<?php if ($display_permalink) : ?>
			<a <?php echo implode(' ', $image_attributes); ?> class="<?php echo esc_attr($image_class)?>" href="<?php the_permalink($post_id)?>" title="<?php the_title_attribute(array('post' => $post_id)) ?>"></a>
		<?php else: ?>
			<div <?php echo implode(' ', $image_attributes); ?> class="<?php echo esc_attr($image_class)?>" title="<?php the_title_attribute(array('post' => $post_id)) ?>"></div>
		<?php endif; ?>
	<?php else: ?>
		<?php
		$image_classes = array(
			'img-responsive'
		);

		if (isset($image['width']) && ($image['width'] !== '')) {
			$image_attributes[] = 'width="'. esc_attr($image['width']) .'"';
		}

		if (isset($image['height']) && ($image['height'] !== '')) {
			$image_attributes[] = 'height="'. esc_attr($image['height']) .'"';
		}

		if (isset($image['url']) && ($image['url'] !== '')) {

			/*if ($lazy_load_images === 'on') {
				if ($gallery_id !== '') {
					$image_attributes[] = 'data-src="'. esc_url($image['url']) .'"';
					$image_classes[] = 'owl-lazy';
				} else {
					$image_attributes[] = 'data-original="'. esc_url($image['url']) .'"';
					$image_attributes[] = 'src="#"';
					$image_classes[] = 'gf-lazy';
				}

			} else {*/
				$image_attributes[] = 'src="'. esc_url($image['url']) .'"';
			//}
		}
		$image_class = implode(' ', array_filter($image_classes));
		?>

		<?php if ($display_permalink) : ?>
			<a class="entry-thumbnail-overlay" href="<?php the_permalink($post_id)?>" title="<?php the_title_attribute(array('post' => $post_id)) ?>">
				<img <?php echo implode(' ', $image_attributes); ?> class="<?php echo esc_attr($image_class)?>" alt="<?php the_title_attribute(array('post' => $image_id )) ?>">
			</a>
		<?php else: ?>
			<div class="entry-thumbnail-overlay" title="<?php the_title_attribute(array('post' => $post_id)) ?>">
				<img <?php echo implode(' ', $image_attributes); ?> class="<?php echo esc_attr($image_class)?>" alt="<?php the_title_attribute(array('post' => $image_id )) ?>">
			</div>
		<?php endif; ?>
	<?php endif; ?>
</div>


