<?php
/**
 * The template for displaying post-meta
 *
 * @package WordPress
 * @subpackage achilles
 * @since achilles 1.0
 */
global $cat_badge;
?>
<ul class="gf-post-meta gf-inline">
	<li class="meta-author">
		<i class="fa fa-user"></i> <a title="<?php the_author()?>" href="<?php echo esc_url(get_author_posts_url( get_the_author_meta( 'ID' ) ))?>"><?php the_author(); ?></a>
	</li>
	<?php if (!isset($cat_badge) || ($cat_badge === false)): ?>
		<li class="meta-cat">
			<i class="fa fa-folder-open"></i> <?php echo get_the_category_list(', '); ?>
		</li>
	<?php endif; ?>
	<li class="meta-date">
		<i class="fa fa-calendar"></i> <a href="<?php the_permalink(); ?>" rel="bookmark" title="<?php the_title(); ?>"> <?php echo  get_the_date(get_option('date_format'));?> </a>
	</li>
	<?php if ( comments_open() || get_comments_number() ) : ?>
		<li class="meta-comment">
			<?php comments_popup_link(wp_kses_post(__('<i class="fa fa-comment"></i> 0','g5plus-achilles')) ,wp_kses_post(__('<i class="fa fa-comment"></i> 1','g5plus-achilles')),wp_kses_post(__('<i class="fa fa-comments"></i> %','g5plus-achilles'))); ?>
		</li>
	<?php endif; ?>
	<?php edit_post_link(esc_html__( 'Edit', 'g5plus-achilles' ), '<li class="edit-link"><i class="fa fa-pencil"></i> ', '</li>' ); ?>
</ul>
<?php $cat_badge = false; ?>

