<?php
/**
 * The template for displaying load-more.php
 *
 * @package WordPress
 * @subpackage achilles
 * @since achilles 1.0
 * @var $settingId
 * @var $pagenum_link
 */
global $gsf_query;
$paged   =  $gsf_query->get( 'page' ) ? intval( $gsf_query->get( 'page' ) ) : $gsf_query->get( 'paged' ) ? intval( $gsf_query->get( 'paged' ) ) : 1;
$next_classes = array(
	'ladda-button',
	'gf-button-next',
	'no-animation'
);
$prev_classes = array(
	'ladda-button',
	'gf-button-prev',
	'no-animation'
);

if ($paged >=  $gsf_query->max_num_pages) {
    $next_classes[] = 'disable';
}

if ($paged <= 1) {
    $prev_classes[] = 'disable';
}

$accent_color = g5Theme()->options()->get_accent_color();
$next_class = implode(' ', array_filter($next_classes));
$prev_class = implode(' ', array_filter($prev_classes));

$post_setting = g5Theme()->blog()->get_layout_settings();
if (isset($post_setting['currentPage'])) {
    $url = $post_setting['currentPage']['url'];
    $_SERVER['REQUEST_URI'] = substr($url,stripos($url,$_SERVER['SERVER_NAME']) + strlen($_SERVER['SERVER_NAME']));
    $GLOBALS['current_screen'] = new G5Plus_Inc_Ajax();
}
$next_link = get_next_posts_page_link($gsf_query->max_num_pages);
$prev_link = get_previous_posts_page_link();
?>
<div data-items-paging="next-prev" class="gf-paging next-prev clearfix" data-id="<?php echo esc_attr($settingId) ?>">
	<a href="<?php echo esc_url($prev_link); ?>" title="<?php esc_html_e('Prev', 'g5plus-achilles') ?>"  data-spinner-color="<?php echo esc_attr($accent_color)?>" data-style="zoom-in" data-spinner-size="20" class="<?php echo esc_attr($prev_class)?>">
		<i class="fa fa-angle-left"></i>
	</a>
	<a href="<?php echo esc_url($next_link); ?>" title="<?php esc_html_e('Next', 'g5plus-achilles') ?>"  data-spinner-color="<?php echo esc_attr($accent_color)?>" data-style="zoom-in" data-spinner-size="20"  class="<?php echo esc_attr($next_class)?>">
		<i class="fa fa-angle-right"></i>
	</a>
</div>
