<?php
/**
 * The template for displaying content-single.php
 */
$author_description = get_the_author_meta('description');
$single_feature_image_enable = g5Theme()->options()->get_single_feature_image_enable();
?>
<div class="gf-single-wrap clearfix">
	<article id="post-<?php the_ID(); ?>" <?php post_class('post-single clearfix'); ?>>
		<div class="gf-post-content">
			<div class="gf-entry-meta-top">
				<?php g5Theme()->helper()->getTemplate('single/post-meta-cate') ?>
				<?php g5Theme()->helper()->getTemplate('single/post-title') ?>
				<?php g5Theme()->helper()->getTemplate('single/post-meta-date-comment') ?>
			</div>
			<div class="gf-entry-meta-middle clearfix">
				<div class="gf-author-info-wrap">
					<div class="gf-author-avatar">
						<?php
						/**
						 * Filter the Achilles author bio avatar size.
						 *
						 * @since Achilles 1.0
						 *
						 * @param int $size The avatar height and width size in pixels.
						 */
						$author_bio_avatar_size = apply_filters('g5plus_author_bio_avatar_size', 50);
						echo get_avatar(get_the_author_meta('user_email'), $author_bio_avatar_size);
						?>
					</div>
					<div class="gf-author-content">
						<h2 class="gf-author-name"><?php esc_html_e('BY: ', 'g5plus-achilles'); ?><?php the_author_posts_link(); ?></h2>
						<?php if (!empty($author_description)): ?>
							<p class="gf-author-description"><?php echo wp_kses_post($author_description); ?></p>
						<?php endif; ?>
					</div>
				</div>
				<?php do_action('g5plus_single_post_share_square'); ?>
			</div>
			<?php
			if ($single_feature_image_enable === 'on'):
				g5Theme()->templates()->post_single_image();
			endif;
			?>
			<div class="gf-entry-content clearfix">
				<?php
				the_content();
				wp_link_pages(array(
					'before'      => '<div class="page-links"><span class="page-links-title">' . esc_html__('Pages:', 'g5plus-achilles') . '</span>',
					'after'       => '</div>',
					'link_before' => '<span class="page-link">',
					'link_after'  => '</span>',
				));
				?>
			</div>
			<?php g5Theme()->helper()->getTemplate('single/post-meta-comment-view') ?>
		</div>
	</article>
	<?php
	/**
	 * @hooked - post_single_tag - 5
	 * @hooked - post_single_share - 10
	 * @hooked - post_single_navigation - 15
	 * @hooked - post_single_author_info - 20
	 * @hooked - post_single_related - 25
	 * @hooked - post_single_comment - 30
	 *
	 **/
	do_action('g5plus_after_single_post')
	?>
</div>
