<?php
/**
 * The template for displaying content-single.php
 */
$author_id = get_post_field('post_author', get_the_ID());
$author_description = get_the_author_meta('description', $author_id);
$author_link = get_author_posts_url($author_id);
$author_name = get_the_author_meta('display_name', $author_id);
$single_feature_image_enable = g5Theme()->options()->get_single_feature_image_enable();
?>
<div class="post-single-content-top">
	<div class="gf-entry-meta-top">
		<?php g5Theme()->helper()->getTemplate('single/post-meta-cate') ?>
		<?php g5Theme()->helper()->getTemplate('single/post-title') ?>
		<?php g5Theme()->helper()->getTemplate('single/post-meta-date-comment') ?>
	</div>
	<div class="gf-entry-meta-middle clearfix">
		<div class="gf-author-info-wrap">
			<div class="gf-author-avatar">
				<?php
				/**
				 * Filter the Achilles author bio avatar size.
				 *
				 * @since Achilles 1.0
				 *
				 * @param int $size The avatar height and width size in pixels.
				 */
				$author_bio_avatar_size = apply_filters('g5plus_author_bio_avatar_size', 50);
				echo get_avatar($author_id, $author_bio_avatar_size);
				?>
			</div>
			<div class="gf-author-content">
				<h2 class="gf-author-name"><?php esc_html_e('BY: ', 'g5plus-achilles'); ?><a
							href="<?php echo esc_url($author_link); ?>"
							title="Posts by <?php echo esc_html($author_name); ?>"
							rel="author"><?php echo wp_kses_post($author_name); ?></a></h2>
				<?php if (!empty($author_description)): ?>
					<p class="gf-author-description"><?php echo wp_kses_post($author_description); ?></p>
				<?php endif; ?>
			</div>
		</div>
		<?php do_action('g5plus_single_post_share_square'); ?>
	</div>
	<?php
	if ($single_feature_image_enable === 'on'):
		g5Theme()->templates()->post_single_image();
	endif;
	?>
</div>
