<?php
/**
 * The template for displaying post-author-info.php
 */
$single_author_info_enable = g5Theme()->options()->get_single_author_info_enable();
if ($single_author_info_enable !== 'on') return;
$author_info_layout = g5Theme()->options()->get_author_info_layout();

$author_description = get_the_author_meta('description');
$author_description = g5Theme()->helper()->truncateText($author_description, 190);
$author_email = get_the_author_meta('email');

$value_size = 75;
if ($author_info_layout == 'author-layout-2') {
	$value_size = 115;
}

?>
<?php if (!empty($author_description)): ?>
	<div class="gf-author-info-wrap <?php echo esc_attr($author_info_layout) ?> clearfix">
		<div class="gf-author-avatar">
			<?php
			/**
			 * Filter the Achilles author bio avatar size.
			 *
			 * @since Achilles 1.0
			 *
			 * @param int $size The avatar height and width size in pixels.
			 */
			$author_bio_avatar_size = apply_filters('g5plus_author_bio_avatar_size', $value_size);
			echo get_avatar(get_the_author_meta('user_email'), $author_bio_avatar_size);
			?>
		</div>
		<div class="gf-author-content">
			<h2 class="gf-author-name">
				<span><?php esc_html_e('BY: ', 'g5plus-achilles'); ?></span><?php the_author_posts_link(); ?></h2>
			<?php if (!empty($author_email)): ?>
				<h5 class="gf-author-email"><?php echo wp_kses_post($author_email); ?></h5>
			<?php endif; ?>
			<?php if (!empty($author_description)): ?>
				<p class="gf-author-description"><?php echo wp_kses_post($author_description); ?></p>
			<?php endif; ?>
			<?php if ($author_info_layout !== 'author-layout-1'): ?>
				<?php g5Theme()->templates()->userSocialNetworks(get_the_author_meta('ID')); ?>
			<?php endif; ?>
		</div>
	</div>
<?php endif; ?>